
Redmine - Defect #13764

Unable to create a new ticket from an email

2013-04-14 16:57 - chris p

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.3.0

Description

I get the following error when I try and create a new ticket from an email, can any one help? This is a new enviroment and is the

latest version

Validation failed: Assignee can't be blank

I have searched high and low but am unable to find a solution. I can update existing tickets as the assignee is set for them.

This is my env:

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.8.15

Rack version              1.4

Rails version             3.2.13

Active Record version     3.2.13

Action Pack version       3.2.13

Active Resource version   3.2.13

Action Mailer version     3.2.13

Active Support version    3.2.13

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock,

#<ActiveSupport::Cache::Strategy::LocalCache::Middleware:0x7ffa5693c738>, Rack::Runtime, Rack::MethodOverride,

ActionDispatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions,

ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::ConnectionManagement,

ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::CookieStore, ActionDispatch::Flash,

ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::ConditionalGet, Rack::ETag, ActionDispatch::BestStandardsSupport,

OpenIdAuthentication

Application root          /usr/share/redmine-2.3

Environment               production

Database adapter          mysql

Database schema version   20130217094251

Environment:

Redmine version                          2.3.0.stable.11679

Ruby version                             1.8.7 (x86_64-linux)

Rails version                            3.2.13

Environment                              production

Database adapter                         MySQL

Redmine plugins:

ekanban                                  0.0.1

redmine_default_assign                   0.2.0

Thanks in advance...

History

#1 - 2013-04-14 20:51 - Daniel Felix

Do you have changed the assigne field as required in your workflow?

Best regards,

Daniel
#2 - 2013-04-16 15:16 - chris p

Hi Daniel, thank you for the response, I am still a bit confused and my new ticket via an email is not working these are my workflow settings:

Manager    Developer    Reporter    Non member    Anonymous

Bug    31    14    6    1    1

Enhancement    31    14    6    1    1

Feature    31    14    6    1    1

Support    31    14    6    1    1

 I have just set all the User Groups to be able to add issues and so they all have the new status checked?

cheers chris

#3 - 2013-04-18 07:53 - chris p

Hi, could anyone help me with this I am really excited to get this working for our company but without this main functionality we just cannot use it.

#4 - 2013-04-18 11:35 - Steffen Zieger

Check if the assignee field is required in your workflow.

For example:

Administration -> Workflow

Select a role and the tracker of your ticket and click on edit. After that select "Fields permissions" tab and check if assignee field has a value of

required.

#5 - 2013-04-18 22:40 - chris p

Hi Steffen, thank you for the response, I don't have anything set for any of those field and I've been through all the role & tracker variations possible.

I can see there is a read-only and required option but all are blank?

#6 - 2013-04-20 07:28 - Toshi MARUYAMA

- Category changed from Email notifications to Email receiving

#7 - 2014-09-30 13:53 - Matt Fozard

We've got the "Assignee can't be blank" problem too, and I've just discovered that it's a bug in the ekanban plugin that you're also using. See 

https://github.com/samchen2009/ekanban/issues/23

Cheers, Matt

#8 - 2014-10-29 11:52 - Toshi MARUYAMA

- Status changed from New to Closed

If you still have problem without ekanban plugin, please reopen.

#9 - 2015-08-24 11:09 - Zoltán Sinkovicz

I've got the "Validation failed: Assignee can't be blank" problem.

I use this:

Environment:

Redmine version                2.6.3.stable

Ruby version                   2.0.0-p384 (2014-01-12) [x86_64-linux-gnu]

Rails version                  3.2.21

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.8

Git                            1.9.1

Filesystem

Redmine plugins:

redmine_checklists             3.0.2

redmine_default_assign         0.4

redmine_my_page_queries        2.1.6

redmine_watcher_groups         0.0.3git

redmine_wktime                 1.7

#10 - 2015-09-10 14:41 - Toshi MARUYAMA
https://github.com/samchen2009/ekanban/issues/23


Zoltán Sinkovicz wrote:

I've got the "Validation failed: Assignee can't be blank" problem.

 Do not post to unrelated issue.

Try without plugins.

If you still have problems without plugins, please create new issue.

Powered by TCPDF (www.tcpdf.org)

2025-05-17 3/3

http://www.tcpdf.org

